Foxit PDF SDK

Instance Methods | List of all members
FSUnembeddedFontSettings Class Reference
Inheritance diagram for FSUnembeddedFontSettings:

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another unembedded font settings object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setSubsetAllEmFonts:
| Sets whether to include subsets of all unembedded fonts. More...
(void) | - setUnembeddedFontNameArray:
| Set a font name array to specify which fonts are to be unembeded. More...

## Detailed Description

This class represents the settings for unembedded fonts. This class object can be set to class FSOptimizerSettings and then be used to optimize a PDF document.

See also
  FSOptimizerSettings

## Method Documentation

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSUnembeddedFontSettings*) | other |

Constructor, with another unembedded font settings object.

Parameters

  [in] | other | Another ImageSettings object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setSubsetAllEmFonts:()

- (void) setSubsetAllEmFonts: |  | (BOOL) | is_subset_all_emb_fonts |

Sets whether to include subsets of all unembedded fonts.

Parameters

  [in] | is_subset_all_emb_fonts | YES means to include subsets of all unembedded fonts. NO means not to include subsets of all unembedded fonts.

Returns
  void.

## ◆ setUnembeddedFontNameArray:()

- (void) setUnembeddedFontNameArray: |  | (NSArray<NSString *> *) | font_name_array |

Set a font name array to specify which fonts are to be unembeded.

This function can be used to specify which fonts are to be unembedded. User can use function FSPDFDoc::getEmbeddedFontData to get the embedded font name arrays of a PDF document, then decide which embeded fonts are to be unembeded, and pass the unembeded font name array to current function.

Parameters

  [in] | font_name_array | A font name array to specify which fonts are to be unembeded.

Returns
  None.